Subject: The clc-dumped image's name is wrong--a bug in gclcvs.sh
From: "Chun Tian (binghe)" <[email-masked]>
To: [email-masked]
Date: Fri, 11 Nov 2005 23:01:19 +0800

Package: gclcvs
Version: 2.7.0-50.1
Severity: Normal

For many days, when I've installed gclcvs, a directory named '>' will be in / or /root ...
So I tracked this bug, then found a bug in /usr/lib/common-lisp/bin/gclcvs.sh (debian/in-gcl-clc.sh), because of this two line:
        image=$($gcl_bin -batch -eval '(princ (namestring (merge-pathnames (make-pathname :name saved_clc_gcl") (pathname si:*system-directory*))))'</dev/null)
        gcl_clc=$($gcl_bin -batch -eval '(princ (namestring (make-pathname :directory (append pathname-directory (pathname "/usr/lib/common-lisp/")) (last (pathname-directory (pathname si::*lib-directory*)))))))'</dev/null)

I found gclcvs whith '-batch' won't auto exit when the eval end, so a '\n' and '>' will append to the $image and $gcl_clc. This makes the name of the image file which this script generate IS NOT correct, so that /usr/bin/gclcvs cannot load them.

I don't know the function '-batch', but a simple solution: add a (quit) at the end of these 'eval', like that: (and I don't need a '</dev/null' any more)

        image=$($gcl_bin -batch -eval '(progn (princ (namestring (merge-pathnames (make-pathname :name saved_clc_gcl") (pathname si:*system-directory*)))) (quit))')
        gcl_clc=$($gcl_bin -batch -eval '(progn (princ (namestring (make-pathname :directory (append (pathname-directory (pathname "/usr/lib/common-lisp/")) (last (pathname-directory (pathname si::*lib-directory*))))))) (quit))')

Thanks.

-- 
GnuPG Key: 0xF7C63B10